package com.yunzhupaas.flowable.enums;

import lombok.Getter;

/**
 * 分流规则（网关类型）
 *
 * @author YUNZHUPAASYUNZHUPAAS开发组
 * @version 5.0.x
 * @since 2024/4/19 9:21
 */
@Getter
public enum DivideRuleEnum {
    /**
     * 根据条件多分支流转(包容网关)
     */
    INCLUSION("inclusion"),
    /**
     * 根据条件单分支流转（排它网关）
     */
    EXCLUSIVE("exclusive"),
    /**
     * 所有分支都流转（并行网关）
     */
    PARALLEL("parallel"),
    /**
     * 选择分支
     */
    CHOOSE("choose");

    private final String type;

    DivideRuleEnum(String type) {
        this.type = type;
    }
}
